TIMER_DELETE(2) | System Calls Manual | TIMER_DELETE(2)

# NAME

`timer_delete` —
delete a per-process timer

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <time.h>`

int
`timer_delete`(timer_t timerid);

# DESCRIPTION

The `timer_delete`() functions deletes the timer specified in the timerid argument. The timerid argument must point to valid timer id, created by timer_create(2). If the deletion is successful, the timer is disarmed and deleted. Pending notification events (signals) may or may not be delivered.

# RETURN VALUES

If successful, the `timer_delete`() functions returns 0. Otherwise, it returns -1, and sets `errno` to indicate error.

# ERRORS

The `timer_delete`() function will fail if:

[`EINVAL`]
  The argument timerid is not a valid timer id.

# SEE ALSO

timer_create(2), timer_getoverrun(2), timer_gettime(2), timer_settime(2)

# STANDARDS

IEEE Std 1003.1b-1993 (“POSIX.1b”), IEEE Std 1003.1i-1995 (“POSIX.1i”)

September 13, 2003 | NetBSD 9.2